Friend Class NativeMethods

    <System.Runtime.InteropServices.DllImport("advapi32.dll")> _
    Friend Shared Function LogonUser(ByVal lpszUsername As String, ByVal lpszDomain As String, ByVal lpszPassword As String, ByVal dwLogonType As LogonType, ByVal dwLogonProvider As ProviderType, ByRef phToken As IntPtr) As Integer
    End Function


    <System.Runtime.InteropServices.DllImport("kernel32.dll")> _
    Friend Shared Function CloseHandle(ByVal phToken As IntPtr) As Boolean
    End Function
End Class 'NativeMethods
 _

Enum LogonType
    LOGON32_LOGON_INTERACTIVE = 2
    LOGON32_LOGON_NETWORK = 3
    LOGON32_LOGON_BATCH = 4
    LOGON32_LOGON_SERVICE = 5
    LOGON32_LOGON_UNLOCK = 7
    LOGON32_LOGON_NETWORK_CLEARTEXT = 8
    LOGON32_LOGON_NEW_CREDENTIALS = 9
End Enum 'LogonType
 _

Enum ProviderType
    LOGON32_PROVIDER_DEFAULT = 0
    LOGON32_PROVIDER_WINNT35 = 1
    LOGON32_PROVIDER_WINNT40 = 2
    LOGON32_PROVIDER_WINNT50 = 3
End Enum 'ProviderType
